### Enumeration

# GLib TestTrapFlags

deprecated: 2.38

#### Declaration

    flags GLib.TestTrapFlags

#### Description [src]

Flags to pass to `g_test_trap_fork()` to control input and output.

Test traps are guards around forked tests. These flags determine what traps to set.

Deprecated since: 2.38

`GTestTrapFlags` is used only with `g_test_trap_fork()`, which is deprecated. Its replacement, `g_test_trap_subprocess()` uses `GTestSubprocessFlags`.

#### Members

`G_TEST_TRAP_DEFAULT`

  Default behaviour. Since: 2.74.

  - Value: `0`
  - Available since: 2.0
`G_TEST_TRAP_SILENCE_STDOUT`

  Redirect stdout of the test child to `/dev/null` so it cannot be observed on the console during test runs. The actual output is still captured though to allow later tests with g_test_trap_assert_stdout().

  - Value: `128`
  - Available since: 2.0
`G_TEST_TRAP_SILENCE_STDERR`

  Redirect stderr of the test child to `/dev/null` so it cannot be observed on the console during test runs. The actual output is still captured though to allow later tests with g_test_trap_assert_stderr().

  - Value: `256`
  - Available since: 2.0
`G_TEST_TRAP_INHERIT_STDIN`

  If this flag is given, stdin of the child process is shared with stdin of its parent process. It is redirected to `/dev/null` otherwise.

  - Value: `512`
  - Available since: 2.0